﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Plane.CommunicationManagement
{
    public class CommunicationReceiveCopterInfoEventArgs
    {
        public CommunicationReceiveCopterInfoEventArgs(int id, byte[] package, byte commModuleVersion)
        {
            this.Id = id;
            this.Package = package;
            this.CommModuleVersion = commModuleVersion;
        }

        public int Id { get; private set; }
        public byte[] Package { get; private set; }
        public byte CommModuleVersion { get; private set; }
    }

    public class CommunicationConnectEventArgs
    {
        public CommunicationConnectEventArgs(int id)
        {
            this.Id = id;
        }

        public int Id { get; private set; }
    }

    public class CommunicationCopterDisconnectEventArgs
    { 
        public CommunicationCopterDisconnectEventArgs(int id)
        {
            this.Id = id;
        }

        public int Id { get; private set; }
    }
}
